#define EXPORT_SYMTAB

#include <linux/config.h>
#include <linux/module.h>
#include <linux/user.h>
#include <linux/sched.h>
#include <linux/interrupt.h>
#include <linux/smp_lock.h>

#include <asm/semaphore.h>
#include <asm/processor.h>
#include <asm/uaccess.h>
#include <asm/checksum.h>
#include <asm/io.h>
#include <asm/hardirq.h>
#include <asm/irq.h>

#include <etilib/etiLocal.h>

extern void __I_FloatEq();
extern void __I_FloatNe();
extern void __I_FloatLt();
extern void __I_FloatLe();
extern void __I_FloatGt();
extern void __I_FloatGe();
extern void __I_FloatInt32();
extern void __I_FloatUInt32();
extern void __I_FloatInt64();
extern void __I_FloatUInt64();
extern void __I_Int32Float();
extern void __I_UInt32Float();
extern void __I_Int64Float();
extern void __I_UInt64Float();
extern void __I_FloatAdd();
extern void __I_FloatSub();
extern void __I_FloatMul();
extern void __I_FloatDiv();
extern void __I_FloatMax();
extern void __I_FloatMin();
extern void __I_FloatSqrt();
extern void __I_FltDouble();
extern void __I_DoubleFlt();
extern void __I_DoubleAdd();
extern void __I_DoubleSub();
extern void __I_DoubleMul();
extern void __I_DoubleDiv();
extern void __I_DoubleSqrt();
extern void __I_DoubleEq();
extern void __I_DoubleNe();
extern void __I_DoubleLt();
extern void __I_DoubleLe();
extern void __I_DoubleGt();
extern void __I_DoubleGe();
extern void __I_DoubleInt32();
extern void __I_DoubleUInt32();
extern void __I_DoubleInt64();
extern void __I_DoubleUInt64();
extern void __I_Int32Double();
extern void __I_UInt32Double();
extern void __I_Int64Double();
extern void __I_UInt64Double();
extern void __I_DoubleMax();
extern void __I_DoubleMin();
extern void __ETI_IC_bcopy();
extern void __ETI_IC_ncsrc_bcopy();
extern void __ETI_IC_ncdest_bcopy();
extern void __ETI_IC_nc_bcopy();
extern void __EXIT();
extern void __I_U64Mult();
extern void __I_S64Mult();
extern void __I_U64DivRem();
extern void __I_U64Div();
extern void __I_U64Rem();
extern void __I_S64DivRem();
extern void __I_S64Div();
extern void __I_S64Rem();
extern void __I_U32DivRem();
extern void __I_U32Div();
extern void __I_U32Rem();
extern void __I_S32DivRem();
extern void __I_S32Div();
extern void __I_S32Rem();
extern void _L2Exit();

EXPORT_SYMBOL(__I_FloatEq);
EXPORT_SYMBOL(__I_FloatNe);
EXPORT_SYMBOL(__I_FloatLt);
EXPORT_SYMBOL(__I_FloatLe);
EXPORT_SYMBOL(__I_FloatGt);
EXPORT_SYMBOL(__I_FloatGe);
EXPORT_SYMBOL(__I_FloatInt32);
EXPORT_SYMBOL(__I_FloatUInt32);
EXPORT_SYMBOL(__I_FloatInt64);
EXPORT_SYMBOL(__I_FloatUInt64);
EXPORT_SYMBOL(__I_Int32Float);
EXPORT_SYMBOL(__I_UInt32Float);
EXPORT_SYMBOL(__I_Int64Float);
EXPORT_SYMBOL(__I_UInt64Float);
EXPORT_SYMBOL(__I_FloatAdd);
EXPORT_SYMBOL(__I_FloatSub);
EXPORT_SYMBOL(__I_FloatMul);
EXPORT_SYMBOL(__I_FloatDiv);
EXPORT_SYMBOL(__I_FloatMax);
EXPORT_SYMBOL(__I_FloatMin);
EXPORT_SYMBOL(__I_FloatSqrt);
EXPORT_SYMBOL(__I_FltDouble);
EXPORT_SYMBOL(__I_DoubleFlt);
EXPORT_SYMBOL(__I_DoubleAdd);
EXPORT_SYMBOL(__I_DoubleSub);
EXPORT_SYMBOL(__I_DoubleMul);
EXPORT_SYMBOL(__I_DoubleDiv);
EXPORT_SYMBOL(__I_DoubleSqrt);
EXPORT_SYMBOL(__I_DoubleEq);
EXPORT_SYMBOL(__I_DoubleNe);
EXPORT_SYMBOL(__I_DoubleLt);
EXPORT_SYMBOL(__I_DoubleLe);
EXPORT_SYMBOL(__I_DoubleGt);
EXPORT_SYMBOL(__I_DoubleGe);
EXPORT_SYMBOL(__I_DoubleInt32);
EXPORT_SYMBOL(__I_DoubleUInt32);
EXPORT_SYMBOL(__I_DoubleInt64);
EXPORT_SYMBOL(__I_DoubleUInt64);
EXPORT_SYMBOL(__I_Int32Double);
EXPORT_SYMBOL(__I_UInt32Double);
EXPORT_SYMBOL(__I_Int64Double);
EXPORT_SYMBOL(__I_UInt64Double);
EXPORT_SYMBOL(__I_DoubleMax);
EXPORT_SYMBOL(__I_DoubleMin);
EXPORT_SYMBOL(__ETI_IC_bcopy);
EXPORT_SYMBOL(__ETI_IC_ncsrc_bcopy);
EXPORT_SYMBOL(__ETI_IC_ncdest_bcopy);
EXPORT_SYMBOL(__ETI_IC_nc_bcopy);
EXPORT_SYMBOL(__EXIT);
EXPORT_SYMBOL(__I_U64Mult);
EXPORT_SYMBOL(__I_S64Mult);
EXPORT_SYMBOL(__I_U64DivRem);
EXPORT_SYMBOL(__I_U64Div);
EXPORT_SYMBOL(__I_U64Rem);
EXPORT_SYMBOL(__I_S64DivRem);
EXPORT_SYMBOL(__I_S64Div);
EXPORT_SYMBOL(__I_S64Rem);
EXPORT_SYMBOL(__I_U32DivRem);
EXPORT_SYMBOL(__I_U32Div);
EXPORT_SYMBOL(__I_U32Rem);
EXPORT_SYMBOL(__I_S32DivRem);
EXPORT_SYMBOL(__I_S32Div);
EXPORT_SYMBOL(__I_S32Rem);
EXPORT_SYMBOL(memset);
EXPORT_SYMBOL(memcpy);
EXPORT_SYMBOL(__SYSLOG);
EXPORT_SYMBOL(__VSYSLOG);
EXPORT_SYMBOL(_L2Exit);
EXPORT_SYMBOL(___bspregEnabledInterrupts);
EXPORT_SYMBOL(___bspregNMIs);
EXPORT_SYMBOL(procPIOBase);
